/* Source: https://fonts.google.com/specimen/Jost */
@font-face {
    font-family: "Jost";
    src: url("../Assets/fonts/Jost-Medium.ttf") format("truetype");
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: "Jost";
    src: url("../Assets/fonts/Jost-Italic.ttf") format("truetype");
    font-weight: normal;
    font-style: italic;
}

/* Source: https://font.download/font/nes-controller*/
@font-face {
    font-family: "Nes-Font";
    src: url("../Assets/fonts/Nes-Font.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

/* Source: https://www.fontspace.com/ro-spritendo-font-f83198 */
@font-face {
    font-family: "Nintendo-Font";
    src: url("../Assets/fonts/Nintendo-Font.otf") format("truetype");
    font-weight: normal;
    font-style: normal;
}
    
/* Source: https://fonts.google.com/specimen/Press+Start+2P */
@font-face {
    font-family: "Pixel-Font";
    src: url("../Assets/fonts/Pixel-Font.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    position: relative;
    width: 100vw;
}

main {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

footer {
    position: fixed;
    background: #46464699;
    left: 50%;
    bottom: -160px;
    transform: translateX(-50%);
    border-radius: 2rem 2rem 0 0;
    display: flex;
    gap: 10px;  
    transition: bottom 0.3s ease, transform 0.3s ease, background 0.3s ease;
    z-index: 1000;

    button {
        position: absolute;
        font-family: "Jost";
        color: white;
        font-size: 2rem;
        text-transform: uppercase;
        top: -5rem;
        left: 50%;
        transform: translateX(-50%);
        height: 5rem;
        width: 10rem;
        corner-top-left-shape: bevel;
        corner-top-right-shape: bevel;
        border-radius: 2rem 2rem 0 0;
        background: #46464699;
        border: none;
    }



    a {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 120px;
        aspect-ratio: 1;
        text-decoration: none;
        transition: transform 0.15s ease;
        transform-origin: bottom center;

        img {
            width: 100%;
            height: 100%;
            object-fit: contain;
        }

        p {
            color: white;
            font-family: "Jost";
            background: rgba(0, 0, 0, 0.5);
            order: -1;
            width: 120px;
            text-align: center;
            padding: 0.5rem 0;
            border-radius: 1rem;
            position: relative;
            opacity: 0;
            transition: opacity 0.3s ease;

            &::after {
                content: "";
                position: absolute;
                bottom: -20px;
                left: 50%;
                transform: translateX(-50%);
                height: 20px;
                width: 40px;
                corner-bottom-left-shape: bevel;
                corner-bottom-right-shape: bevel;
                border-radius: 0 0 2rem 2rem;
                background: rgba(0, 0, 0, 0.5);
            }
        }

        &:hover p {
            opacity: 1;
        }
    }


}

.footer-open {
    bottom: 0;
}